Bug 1122237 - Review Request: nodejs-simple-fmt - Maximally minimal string formatting library
Summary: Review Request: nodejs-simple-fmt - Maximally minimal string formatting library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1122219
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:06 UTC by Ralph Bean
Modified: 2014-08-15 02:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 18:54:13 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:06:06 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-simple-fmt.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-simple-fmt-0.1.0-1.fc20.src.rpm

Description:
A maximally minimal string formatting library. Use it to make your code more
readable compared to plain old string concatenation using +. The code is
shorter than the MIT license text so it doesn't hog you down and you can use it
everywhere. Works in node and browsers.

Comment 1 Parag AN(पराग) 2014-07-23 13:39:46 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-simple-fmt.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :e6c880a99e70e26ed0be823528c93819dadc000789f5c59d51ea690b92bb46f4
upstream tarball :e6c880a99e70e26ed0be823528c93819dadc000789f5c59d51ea690b92bb46f4

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 14:39:56 UTC
New Package SCM Request
=======================
Package Name: nodejs-simple-fmt
Short Description: Maximally minimal string formatting library
Upstream URL: https://npmjs.org/package/simple-fmt
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:44:28 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 18:53:25 UTC
nodejs-simple-fmt-0.1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-simple-fmt-0.1.0-1.fc20

Comment 5 Fedora Update System 2014-07-23 18:53:34 UTC
nodejs-simple-fmt-0.1.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-simple-fmt-0.1.0-1.fc19

Comment 6 Ralph Bean 2014-07-23 18:54:13 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:48:39 UTC
nodejs-simple-fmt-0.1.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:56:50 UTC
nodejs-simple-fmt-0.1.0-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.